Skip to main content
GET
/
robots
/
{robotId}
Retrieves a robot
curl --request GET \
  --url https://api.inorbit.ai/robots/{robotId} \
  --header 'x-auth-inorbit-app-key: <api-key>'
{
  "id": "0011-aabb-cccc",
  "name": "demo-robot-1234",
  "agentOnline": true,
  "agentVersion": "1.2.3",
  "updatedTs": 1594944602962
}

Documentation Index

Fetch the complete documentation index at: https://inorbitinc.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-auth-inorbit-app-key
string
header
required

InOrbit appKey authenticates API requests using a token.

You can obtain your appKey in the Authentication docs.

Path Parameters

robotId
string
required

The robot's id

Response

A robot object

id
string
required
name
string
required
agentOnline
boolean
required
agentVersion
string
required
updatedTs
integer